Arduino

## Serial.findUntil()

#### Description

Serial.findUntil() reads data from the serial buffer until a target string of given length or terminator string is found.

The function returns true if the target string is found, false if it times out.

Serial.findUntil() inherits from the Stream utility class.

#### Syntax

Serial.findUntil(target, terminal)

#### Parameters

target : the string to search for (char)
terminal : the terminal string in the search (char)

#### Returns

boolean

#### See also

- Stream
- Stream.findUntil()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes